﻿using System;
using System.Collections.Generic;
using System.Text;

namespace FDK
{
	public class CFPS
	{
		public int n現在のFPS
		{
			get;
			private set;
		}
		public bool bFPSの値が変化した
		{
			get;
			private set;
		}

		public CFPS()
		{
			this.n現在のFPS = 0;
			this.Timer = new CTimer( CTimer.E種別.MultiMedia );
			this.n基点時刻ms = this.Timer.n現在時刻;
			this.n内部FPS = 0;
			this.bFPSの値が変化した = false;
		}
		public void tカウンタ更新()
		{
			this.Timer.t更新();
			this.bFPSの値が変化した = false;

			const long INTERVAL = 1000;
			while( ( this.Timer.n現在時刻 - this.n基点時刻ms ) >= INTERVAL )
			{
				this.n現在のFPS = this.n内部FPS;
				this.n内部FPS = 0;
				this.bFPSの値が変化した = true;
				this.n基点時刻ms += INTERVAL;
			}
			this.n内部FPS++;
		}

		#region [ private ]
		//-----------------
		private CTimer Timer;
		private long n基点時刻ms;
		private int n内部FPS;
		//-----------------
		#endregion
	}
}
